ncensus.h File Reference

Provides facilities for looking up 3-manifold triangulations in Regina's in-built census databases. More...

`#include "regina-core.h"`
`#include "census/nfacepairing.h"`
`#include "utilities/nbooleans.h"`

## Classes

class | regina::NCensusDB
| Stores the location and description of one of Regina's in-built census databases. More...
class | regina::NCensusHit
| Stores a single "hit" indicating that some given triangulation has been located in one of Regina's in-built census databases. More...
class | regina::NCensusHits
| Stores a list of "hits" indicating all the places in which a given triangulation has been located in Regina's various in-built census databases. More...
class | regina::NCensus
| A utility class used to search for triangulations across one or more 3-manifold census databases. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef bool(* | regina::AcceptTriangulation) (NTriangulation *, void *)
| A legacy typedef that is identical to NCensus::AcceptTriangulation. More...

## Detailed Description

Provides facilities for looking up 3-manifold triangulations in Regina's in-built census databases.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).